> ## Documentation Index
> Fetch the complete documentation index at: https://padelapi.org/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Webhooks

> Endpoint to retrieve all webhook subscriptions registered by the authenticated user.

For an end-to-end walkthrough of registering, verifying, and handling webhook events, see the [Webhooks guide](https://padelapi.org/docs/webhooks).



## OpenAPI

````yaml https://padelapi.org/docs/api.json get /webhooks
openapi: 3.1.0
info:
  title: Padel API – API Reference
  version: '1.0'
  description: padelapi.org
servers:
  - url: https://padelapi.org/api
security:
  - http: []
paths:
  /webhooks:
    get:
      tags:
        - Webhook
      summary: List Webhooks
      description: >-
        Endpoint to retrieve all webhook subscriptions registered by the
        authenticated user.


        For an end-to-end walkthrough of registering, verifying, and handling
        webhook events, see the [Webhooks
        guide](https://padelapi.org/docs/webhooks).
      operationId: listWebhooks
      responses:
        '200':
          description: Paginated set of `WebhookResource`
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/WebhookResource'
                  links:
                    type: object
                    properties:
                      first:
                        type:
                          - string
                          - 'null'
                      last:
                        type:
                          - string
                          - 'null'
                      prev:
                        type:
                          - string
                          - 'null'
                      next:
                        type:
                          - string
                          - 'null'
                    required:
                      - first
                      - last
                      - prev
                      - next
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: integer
                      from:
                        type:
                          - integer
                          - 'null'
                      last_page:
                        type: integer
                      links:
                        type: array
                        description: Generated paginator links.
                        items:
                          type: object
                          properties:
                            url:
                              type:
                                - string
                                - 'null'
                            label:
                              type: string
                            active:
                              type: boolean
                          required:
                            - url
                            - label
                            - active
                      path:
                        type:
                          - string
                          - 'null'
                        description: Base path for paginator generated URLs.
                      per_page:
                        type: integer
                        description: Number of items shown per page.
                      to:
                        type:
                          - integer
                          - 'null'
                        description: Number of the last item in the slice.
                      total:
                        type: integer
                        description: Total number of items being paginated.
                    required:
                      - current_page
                      - from
                      - last_page
                      - links
                      - path
                      - per_page
                      - to
                      - total
                required:
                  - data
                  - links
                  - meta
        '401':
          $ref: '#/components/responses/AuthenticationException'
components:
  schemas:
    WebhookResource:
      type: object
      properties:
        id:
          type: integer
        self:
          type: string
        url:
          type: string
        events:
          type: array
          items: {}
        secret:
          type: string
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - self
        - url
        - events
        - secret
        - created_at
        - updated_at
      title: WebhookResource
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
  securitySchemes:
    http:
      type: http
      scheme: bearer

````